aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-05-07 12:35:25 +0000
committerAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-05-07 12:35:25 +0000
commit34d51fe3a35578a3ec1b5b33d0371f704c5a3953 (patch)
tree4ce3adb6c770d09ca61e329125ea2f5903a5ce15
parentb3246cd7bc88503de34742ebc73f4df35e3ed4bd (diff)
downloadpaludis-34d51fe3a35578a3ec1b5b33d0371f704c5a3953.tar.gz
paludis-34d51fe3a35578a3ec1b5b33d0371f704c5a3953.tar.xz
Implement default_src_install in exheres-0.
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_install.bash48
1 files changed, 47 insertions, 1 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_install.bash b/paludis/repositories/e/ebuild/exheres-0/src_install.bash
index 387c768..754770b 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_install.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_install.bash
@@ -22,7 +22,53 @@
default_src_install()
{
- :
+ local done_docs old_set f d p doc e
+ if [[ -f Makefile ]] || [[ -f makefile ]] || [[ -f GNUmakefile ]] ; then
+ if make -j1 -n install ; then
+ echo "Found a makefile, using the install target"
+ emake -j1 DESTDIR="${D}" install || die "default emake install failed";
+ else
+ die "default emake install located a makefile but no install target"
+ fi
+ else
+ echo "No makefile found, not using emake install"
+ fi
+ done_docs=
+ old_set=$(shopt | grep 'nocaseglob[[:space:]]*on')
+ shopt -s nocaseglob
+ for d in '' ${DEFAULT_SRC_INSTALL_EXTRA_SUBDIRS} ; do
+ if [[ -n ${d} ]]; then
+ [[ -d ${d} ]] || die "${d} is not a dir"
+ pushd "${d}" > /dev/null || die "Failed to enter ${d}"
+ local docdesttree="${DOCDESTTREE}"
+ docinto "${d}"
+ fi
+ for f in README Change{,s,Log} AUTHORS NEWS TODO ABOUT THANKS {KNOWN_,}BUGS SUBMITTING \
+ HACKING FAQ CREDITS PKG-INFO HISTORY PACKAGING MAINTAINER{,S} CONTRIBUT{E,OR,ORS} RELEASE \
+ ANNOUNCE PORTING NOTES PROBLEMS NOTICE ${DEFAULT_SRC_INSTALL_EXTRA_DOCS}; do
+ for p in '' ${DEFAULT_SRC_INSTALL_EXTRA_PREFIXES} ; do
+ for doc in *([[:digit:]])${p}${f}{,+([._-])*} ; do
+ if [[ -s "${doc}" ]] ; then
+ for e in ${DEFAULT_SRC_INSTALL_EXCLUDE} ; do
+ [[ ${doc} == ${e} ]] && continue 2
+ done
+ done_docs="${done_docs} ${d%/}${d:+/}${doc}"
+ dodoc "${doc}" || die "dodoc ${d%/}${d:+/}${doc} failed"
+ fi
+ done
+ done
+ done
+ if [[ -n ${d} ]]; then
+ docinto "${docdesttree}"
+ popd > /dev/null || die "Failed to leave ${d}"
+ fi
+ done
+ if [[ -n "${done_docs}" ]] ; then
+ echo "Installed docs ${done_docs# }"
+ else
+ echo "Didn't find any docs to install"
+ fi
+ [[ -n ${old_set} ]] || shopt -u nocaseglob
}
src_install()